require File.expand_path("../common/version", __FILE__)

module Evrone
  module CI

    module Common

      module Helper
        autoload :Shell,       File.expand_path("../common/helper/shell",       __FILE__)
        autoload :Middlewares, File.expand_path("../common/helper/middlewares", __FILE__)
      end

      autoload :PerformMessageWrapper, File.expand_path("../common/perform_message_wrapper", __FILE__)

    end

    module SCM

      autoload :Git, File.expand_path("../scm/git", __FILE__)

    end

  end
end
